Memcache::addServer
Memcache::connect
Memcache Functions
PHP Manual

# Memcache::close

(PECL memcache:0.4-2.1.2)

Memcache::close — Close memcached server connection

### Description

bool Memcache::close ( void )

Memcache::close() closes connection to memcached server. This function doesn't close persistent connections, which are closed only during web-server shutdown/restart. Also you can use memcache_close() function.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Memcache::close() example

`<?php
/* procedural API */
$memcache_obj = memcache_connect('memcache_host', 11211);
/*
do something here ..
*/
memcache_close($memcache_obj);
/* OO API */
$memcache_obj = new Memcache;
$memcache_obj->connect('memcache_host', 11211);
/*
do something here ..
*/
$memcache_obj->close();
?>`

### See Also

- Memcache::connect()
- Memcache::pconnect()

Memcache::addServer
Memcache::connect
Memcache Functions
PHP Manual